# Uses of Annotation Interface
org.springframework.web.bind.annotation.RequestBody

Packages that use RequestBody
Package
Description
org.springframework.web.method.annotation
Support classes for annotation-based handler method processing.

## Uses of RequestBody in org.springframework.web.method.annotation

Methods in org.springframework.web.method.annotation with parameters of type RequestBody
Modifier and Type
Method
Description
`void`
HandlerMethodValidationException.Visitor.`requestBody(RequestBody requestBody, org.springframework.validation.method.ParameterErrors errors)`
Handle results for `@RequestBody` method parameters.
`default void`
HandlerMethodValidationException.Visitor.`requestBodyValidationResult(RequestBody requestBody, org.springframework.validation.method.ParameterValidationResult result)`
An additional `@RequestBody` callback for validation failures for constraints on the method parameter.